Skip to main content
GET
Get an integration configuration

Authorizations

Authorization
string
header
required

Path Parameters

integrationConfigurationId
string<string>
required

Integration configuration ID

Response

Integration Configuration response

The location and content type of related resources

_id
string
required

The unique identifier for this integration configuration

name
string
required

A human-friendly name for the integration

Example:

"Example Datadog integration"

_createdAt
integer<int64>

The time the integration configuration was created

_integrationKey
string

The type of integration

Example:

"datadog"

tags
string[]

An array of tags for this integration

Example:
enabled
boolean

Whether the integration is currently active

_access
object

Details on the allowed and denied actions for this integration configuration

configValues
object

Details on configuration for an integration of this type. Refer to the formVariables field in the corresponding manifest.json for a full list of fields for each integration.

capabilityConfig
object

The capability configuration for the integration

Example:

"{\"auditLogEventsHook\": \"statements\": []\"}"

snowflakeSetupScript
string

Consolidated SQL script for Snowflake Warehouse Native Experimentation setup. Present only for setup endpoint responses.

redshiftSetupScripts
string[]

SQL setup scripts (4 parts) for Redshift native Experimentation setup. Present on setup endpoint responses and, rehydrated from the persisted config, on active (finalized) Redshift native Experimentation configurations.

redshiftIAMPermissionsPolicy
string

IAM permissions policy JSON for the customer's Redshift IAM role. Present only for setup endpoint responses.

redshiftIAMTrustPolicy
string

IAM trust policy JSON for the customer's Redshift IAM role. Present only for setup endpoint responses.

_maintainerId
string

The ID of the member who maintains this integration configuration. Defaults to the member who created it.